DROP TABLE CRST_PO_HEADERS_ALL;

CREATE TABLE CRST_PO_HEADERS_ALL
(
  PO_HEADER_ID                NUMBER            NOT NULL,
  AGENT_ID                    NUMBER(9)         NOT NULL,
  TYPE_LOOKUP_CODE            VARCHAR2(25 BYTE) NOT NULL,
  LAST_UPDATE_DATE            DATE              NOT NULL,
  LAST_UPDATED_BY             NUMBER            NOT NULL,
  SEGMENT1                    VARCHAR2(20 BYTE) NOT NULL,
  SUMMARY_FLAG                VARCHAR2(1 BYTE)  NOT NULL,
  ENABLED_FLAG                VARCHAR2(1 BYTE)  NOT NULL,
  SEGMENT2                    VARCHAR2(20 BYTE),
  SEGMENT3                    VARCHAR2(20 BYTE),
  SEGMENT4                    VARCHAR2(20 BYTE),
  SEGMENT5                    VARCHAR2(20 BYTE),
  START_DATE_ACTIVE           DATE,
  END_DATE_ACTIVE             DATE,
  LAST_UPDATE_LOGIN           NUMBER,
  CREATION_DATE               DATE,
  CREATED_BY                  NUMBER,
  VENDOR_ID                   NUMBER,
  VENDOR_SITE_ID              NUMBER,
  VENDOR_CONTACT_ID           NUMBER,
  SHIP_TO_LOCATION_ID         NUMBER,
  BILL_TO_LOCATION_ID         NUMBER,
  TERMS_ID                    NUMBER,
  SHIP_VIA_LOOKUP_CODE        VARCHAR2(25 BYTE),
  FOB_LOOKUP_CODE             VARCHAR2(25 BYTE),
  FREIGHT_TERMS_LOOKUP_CODE   VARCHAR2(25 BYTE),
  STATUS_LOOKUP_CODE          VARCHAR2(25 BYTE),
  CURRENCY_CODE               VARCHAR2(15 BYTE),
  RATE_TYPE                   VARCHAR2(30 BYTE),
  RATE_DATE                   DATE,
  RATE                        NUMBER,
  FROM_HEADER_ID              NUMBER,
  FROM_TYPE_LOOKUP_CODE       VARCHAR2(25 BYTE),
  START_DATE                  DATE,
  END_DATE                    DATE,
  BLANKET_TOTAL_AMOUNT        NUMBER,
  AUTHORIZATION_STATUS        VARCHAR2(25 BYTE),
  REVISION_NUM                NUMBER,
  REVISED_DATE                DATE,
  APPROVED_FLAG               VARCHAR2(1 BYTE),
  APPROVED_DATE               DATE,
  AMOUNT_LIMIT                NUMBER,
  MIN_RELEASE_AMOUNT          NUMBER,
  NOTE_TO_AUTHORIZER          VARCHAR2(240 BYTE),
  NOTE_TO_VENDOR              VARCHAR2(480 BYTE),
  NOTE_TO_RECEIVER            VARCHAR2(480 BYTE),
  PRINT_COUNT                 NUMBER,
  PRINTED_DATE                DATE,
  VENDOR_ORDER_NUM            VARCHAR2(25 BYTE),
  CONFIRMING_ORDER_FLAG       VARCHAR2(1 BYTE),
  COMMENTS                    VARCHAR2(240 BYTE),
  REPLY_DATE                  DATE,
  REPLY_METHOD_LOOKUP_CODE    VARCHAR2(25 BYTE),
  RFQ_CLOSE_DATE              DATE,
  QUOTE_TYPE_LOOKUP_CODE      VARCHAR2(25 BYTE),
  QUOTATION_CLASS_CODE        VARCHAR2(25 BYTE),
  QUOTE_WARNING_DELAY_UNIT    VARCHAR2(25 BYTE),
  QUOTE_WARNING_DELAY         NUMBER,
  QUOTE_VENDOR_QUOTE_NUMBER   VARCHAR2(25 BYTE),
  ACCEPTANCE_REQUIRED_FLAG    VARCHAR2(1 BYTE),
  ACCEPTANCE_DUE_DATE         DATE,
  CLOSED_DATE                 DATE,
  USER_HOLD_FLAG              VARCHAR2(1 BYTE),
  APPROVAL_REQUIRED_FLAG      VARCHAR2(1 BYTE),
  CANCEL_FLAG                 VARCHAR2(1 BYTE),
  FIRM_STATUS_LOOKUP_CODE     VARCHAR2(30 BYTE),
  FIRM_DATE                   DATE,
  FROZEN_FLAG                 VARCHAR2(1 BYTE),
  SUPPLY_AGREEMENT_FLAG       VARCHAR2(1 BYTE),
  EDI_PROCESSED_FLAG          VARCHAR2(1 BYTE),
  EDI_PROCESSED_STATUS        VARCHAR2(10 BYTE),
  ATTRIBUTE_CATEGORY          VARCHAR2(30 BYTE),
  ATTRIBUTE1                  VARCHAR2(150 BYTE),
  ATTRIBUTE2                  VARCHAR2(150 BYTE),
  ATTRIBUTE3                  VARCHAR2(150 BYTE),
  ATTRIBUTE4                  VARCHAR2(150 BYTE),
  ATTRIBUTE5                  VARCHAR2(150 BYTE),
  ATTRIBUTE6                  VARCHAR2(150 BYTE),
  ATTRIBUTE7                  VARCHAR2(150 BYTE),
  ATTRIBUTE8                  VARCHAR2(150 BYTE),
  ATTRIBUTE9                  VARCHAR2(150 BYTE),
  ATTRIBUTE10                 VARCHAR2(150 BYTE),
  ATTRIBUTE11                 VARCHAR2(150 BYTE),
  ATTRIBUTE12                 VARCHAR2(150 BYTE),
  ATTRIBUTE13                 VARCHAR2(150 BYTE),
  ATTRIBUTE14                 VARCHAR2(150 BYTE),
  ATTRIBUTE15                 VARCHAR2(150 BYTE),
  CLOSED_CODE                 VARCHAR2(25 BYTE),
  USSGL_TRANSACTION_CODE      VARCHAR2(30 BYTE),
  GOVERNMENT_CONTEXT          VARCHAR2(30 BYTE),
  REQUEST_ID                  NUMBER,
  PROGRAM_APPLICATION_ID      NUMBER,
  PROGRAM_ID                  NUMBER,
  PROGRAM_UPDATE_DATE         DATE,
  ORG_ID                      NUMBER,
  GLOBAL_ATTRIBUTE_CATEGORY   VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE1           VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE2           VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE3           VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE4           VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE5           VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE6           VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE7           VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE8           VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE9           VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE10          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE11          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE12          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE13          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE14          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE15          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE16          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE17          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE18          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE19          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE20          VARCHAR2(150 BYTE),
  INTERFACE_SOURCE_CODE       VARCHAR2(25 BYTE),
  REFERENCE_NUM               VARCHAR2(25 BYTE),
  WF_ITEM_TYPE                VARCHAR2(8 BYTE),
  WF_ITEM_KEY                 VARCHAR2(240 BYTE),
  MRC_RATE_TYPE               VARCHAR2(2000 BYTE),
  MRC_RATE_DATE               VARCHAR2(2000 BYTE),
  MRC_RATE                    VARCHAR2(2000 BYTE),
  PCARD_ID                    NUMBER(15),
  PRICE_UPDATE_TOLERANCE      NUMBER,
  PAY_ON_CODE                 VARCHAR2(25 BYTE),
  XML_FLAG                    VARCHAR2(3 BYTE),
  XML_SEND_DATE               DATE,
  XML_CHANGE_SEND_DATE        DATE,
  GLOBAL_AGREEMENT_FLAG       VARCHAR2(1 BYTE),
  CONSIGNED_CONSUMPTION_FLAG  VARCHAR2(1 BYTE),
  CBC_ACCOUNTING_DATE         DATE,
  CONSUME_REQ_DEMAND_FLAG     VARCHAR2(1 BYTE),
  CHANGE_REQUESTED_BY         VARCHAR2(20 BYTE),
  PO_HEADER_ID_N              NUMBER
);
